Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xdb
Class DirectToXMLTypeMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.foundation.AbstractDirectMapping
oracle.toplink.mappings.DirectToFieldMapping
oracle.toplink.xdb.DirectToXMLTypeMapping`

All Implemented Interfaces:
  java.lang.Cloneable, oracle.toplink.mappings.RelationalMapping, java.io.Serializable

public class DirectToXMLTypeMapping
extends DirectToFieldMapping

Purpose: Mapping used to map from a DOM (org.w3c.Document) or XML String into an Oracle XMLType field, in Oracle 9i XDB.

Since:
  Toplink 10.1.3
See Also:
  Serialized Form

Constructor Summary
`DirectToXMLTypeMapping()`

Method Summary
`boolean` | `isDirectToXMLTypeMapping()` INTERNAL: Related mapping should implement this method to return true.
`void` | `setShouldReadWholeDocument(boolean readWholeDocument)` PUBLIC:
`boolean` | `shouldReadWholeDocument()` PUBLIC:

Methods inherited from class oracle.toplink.mappings.DirectToFieldMapping
`setFieldName`

Methods inherited from class oracle.toplink.mappings.foundation.AbstractDirectMapping
`getAttributeClassification, getAttributeClassificationName, getConverter, getFieldClassification, getFieldName, getNullValue, isMutable, setAttributeClassification, setConverter, setField, setFieldClassification, setFieldType, setIsMutable, setNullValue`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectToXMLTypeMapping

    public DirectToXMLTypeMapping()

Method Detail

### setShouldReadWholeDocument

    public void setShouldReadWholeDocument(boolean readWholeDocument)

  PUBLIC:

### shouldReadWholeDocument

    public boolean shouldReadWholeDocument()

  PUBLIC:
  Returns:
    boolean - returns true if currently initializing DOMs on reads.

### isDirectToXMLTypeMapping

    public boolean isDirectToXMLTypeMapping()

  Description copied from class: `DatabaseMapping`
  INTERNAL: Related mapping should implement this method to return true.
  Overrides:
    `isDirectToXMLTypeMapping` in class `DatabaseMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD